=== debian/changelog ===
nanomsg (0.4~beta+dfsg-3) unstable; urgency=medium

  * Add the debug package.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Tue, 26 Aug 2014 14:15:20 -0700

nanomsg (0.4~beta+dfsg-2) unstable; urgency=medium

  * Disable test due to transient failure (Closes: #759129)

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Sun, 24 Aug 2014 15:57:02 -0700

nanomsg (0.4~beta+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #753895)

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 27 Jun 2014 12:23:49 -0400
