## nanomsg 0.5~beta%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Maintainer: Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://nanomsg.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/nanomsg.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/nanomsg.git
@@ -28,7 +28,7 @@
     REQREP - allows one to build clusters of stateless services
              to process user requests
     PUBSUB - distributes messages to large sets of interested subscribers
-    PIPELINE - aggregates messages from multiple sources and 
+    PIPELINE - aggregates messages from multiple sources and
                load balances them among many destinations
     SURVEY - allows one to query state of multiple applications in a single go
  .
@@ -36,7 +36,7 @@
 
 Package: libnanomsg0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: high-performance implementation of scalability libraries
  nanomsg is a socket library that provides several common
  communication patterns. It aims to make the networking layer fast,
@@ -53,14 +53,14 @@
     REQREP - allows one to build clusters of stateless services
              to process user requests
     PUBSUB - distributes messages to large sets of interested subscribers
-    PIPELINE - aggregates messages from multiple sources and 
+    PIPELINE - aggregates messages from multiple sources and
                load balances them among many destinations
-    SURVEY - allows one to query state of multiple applications in a single go 
+    SURVEY - allows one to query state of multiple applications in a single go
 
 Package: libnanomsg0-dbg
 Section: debug
 Architecture: any
-Depends: libnanomsg0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnanomsg0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: high-performance implementation of scalability libraries - debug symbols
  nanomsg is a socket library that provides several common
  communication patterns. It aims to make the networking layer fast,
@@ -77,8 +77,8 @@
     REQREP - allows one to build clusters of stateless services
              to process user requests
     PUBSUB - distributes messages to large sets of interested subscribers
-    PIPELINE - aggregates messages from multiple sources and 
+    PIPELINE - aggregates messages from multiple sources and
                load balances them among many destinations
-    SURVEY - allows one to query state of multiple applications in a single go 
+    SURVEY - allows one to query state of multiple applications in a single go
  .
  This package contains the debug symbols for libnanomsg.
