=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel
override_dh_strip:
	dh_strip --dbg-package=libnanomsg0-dbg
