## nanomsg 0.5~beta+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (c) 2012 250bpm s.r.o.  All rights reserved.
+#   Copyright (c) 2012 Martin Sustrik  All rights reserved.
 #   Copyright (c) 2013 GoPivotal, Inc.  All rights reserved.
 #
 #   Permission is hereby granted, free of charge, to any person obtaining a copy
@@ -67,6 +67,7 @@
 add_libnanomsg_test (inproc_shutdown)
 add_libnanomsg_test (ipc)
 add_libnanomsg_test (ipc_shutdown)
+add_libnanomsg_test (ipc_stress)
 add_libnanomsg_test (tcp)
 add_libnanomsg_test (tcp_shutdown)
 
@@ -96,6 +97,7 @@
 add_libnanomsg_test (separation)
 add_libnanomsg_test (zerocopy)
 add_libnanomsg_test (shutdown)
+add_libnanomsg_test (cmsg)
 
 #  Build the performance tests.
