=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#   Copyright (c) 2012-2013 250bpm s.r.o.  All rights reserved.
+#   Copyright (c) 2012-2013 Martin Sustrik  All rights reserved.
 #   Copyright (c) 2013 GoPivotal, Inc.  All rights reserved.
 #
 #   Permission is hereby granted, free of charge, to any person obtaining a copy
@@ -47,7 +47,6 @@
     core/sock.h
     core/sock.c
     core/sockbase.c
-    core/device.c
     core/symbol.c
 
     aio/ctx.h
@@ -137,6 +136,9 @@
     utils/wire.h
     utils/wire.c
 
+    devices/device.h
+    devices/device.c
+
     protocols/utils/dist.h
     protocols/utils/dist.c
     protocols/utils/excl.h
@@ -182,6 +184,8 @@
     protocols/reqrep/req.c
     protocols/reqrep/rep.h
     protocols/reqrep/rep.c
+    protocols/reqrep/task.h
+    protocols/reqrep/task.c
     protocols/reqrep/xrep.h
     protocols/reqrep/xrep.c
     protocols/reqrep/xreq.h
