=== debian/changelog ===
nanomsg (0.5~beta+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Tue, 28 Apr 2015 13:17:01 -0400

nanomsg (0.4~beta+dfsg-4) unstable; urgency=medium

  * Cherry-pick patch off of nanomsg master
    to prevent FTBFS on sparc. (Closes: #759129)
  * Clean up test files after creation. (Closes: #766652)

 -- Harlan Lieberman-Berg <H.LiebermanBerg@gmail.com>  Fri, 24 Oct 2014 11:41:51 -0400
