## nanomsg 0.8~beta+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,6 +60,7 @@
     add_executable (${NAME} tests/${NAME}.c)
     target_link_libraries (${NAME} nanomsg)
     add_test (NAME ${NAME} COMMAND ${NAME})
+    set_tests_properties (${NAME} PROPERTIES  TIMEOUT 30)
 endmacro (add_libnanomsg_test)
 
 #  Transport tests.
@@ -70,6 +71,8 @@
 add_libnanomsg_test (ipc_stress)
 add_libnanomsg_test (tcp)
 add_libnanomsg_test (tcp_shutdown)
+add_libnanomsg_test (ws)
+add_libnanomsg_test (tcpmux)
 
 #  Protocol tests.
 add_libnanomsg_test (pair)
@@ -80,6 +83,7 @@
 add_libnanomsg_test (bus)
 
 #  Feature tests.
+add_libnanomsg_test (async_shutdown)
 add_libnanomsg_test (block)
 add_libnanomsg_test (term)
 add_libnanomsg_test (timeo)
@@ -88,6 +92,8 @@
 add_libnanomsg_test (prio)
 add_libnanomsg_test (poll)
 add_libnanomsg_test (device)
+add_libnanomsg_test (device4)
+add_libnanomsg_test (device5)
 add_libnanomsg_test (emfile)
 add_libnanomsg_test (domain)
 add_libnanomsg_test (trie)
@@ -98,6 +104,7 @@
 add_libnanomsg_test (zerocopy)
 add_libnanomsg_test (shutdown)
 add_libnanomsg_test (cmsg)
+add_libnanomsg_test (bug328)
 
 #  Build the performance tests.
 
@@ -119,6 +126,7 @@
 install (FILES src/inproc.h DESTINATION include/nanomsg)
 install (FILES src/ipc.h DESTINATION include/nanomsg)
 install (FILES src/tcp.h DESTINATION include/nanomsg)
+install (FILES src/ws.h DESTINATION include/nanomsg)
 install (FILES src/pair.h DESTINATION include/nanomsg)
 install (FILES src/pubsub.h DESTINATION include/nanomsg)
 install (FILES src/reqrep.h DESTINATION include/nanomsg)
