=== src/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
     inproc.h
     ipc.h
     tcp.h
+    ws.h
     pair.h
     pubsub.h
     reqrep.h
@@ -138,6 +139,7 @@
 
     devices/device.h
     devices/device.c
+    devices/tcpmuxd.c
 
     protocols/utils/dist.h
     protocols/utils/dist.c
@@ -216,6 +218,8 @@
     transports/utils/port.c
     transports/utils/streamhdr.h
     transports/utils/streamhdr.c
+    transports/utils/base64.h
+    transports/utils/base64.c
 
     transports/inproc/binproc.h
     transports/inproc/binproc.c
@@ -251,6 +255,32 @@
     transports/tcp/stcp.c
     transports/tcp/tcp.h
     transports/tcp/tcp.c
+
+    transports/tcpmux/atcpmux.h
+    transports/tcpmux/atcpmux.c
+    transports/tcpmux/btcpmux.h
+    transports/tcpmux/btcpmux.c
+    transports/tcpmux/ctcpmux.h
+    transports/tcpmux/ctcpmux.c
+    transports/tcpmux/stcpmux.h
+    transports/tcpmux/stcpmux.c
+    transports/tcpmux/tcpmux.h
+    transports/tcpmux/tcpmux.c
+
+    transports/ws/aws.h
+    transports/ws/aws.c
+    transports/ws/bws.h
+    transports/ws/bws.c
+    transports/ws/cws.h
+    transports/ws/cws.c
+    transports/ws/sws.h
+    transports/ws/sws.c
+    transports/ws/ws.h
+    transports/ws/ws.c
+    transports/ws/ws_handshake.h
+    transports/ws/ws_handshake.c
+    transports/ws/sha1.h
+    transports/ws/sha1.c
 )
 
 if (WIN32)
@@ -262,11 +292,10 @@
 add_library (nanomsg SHARED ${NN_SOURCES})
 
 add_definitions (-DNN_EXPORTS)
-add_definitions (-DNN_USE_LITERAL_IFADDR)
 
 target_link_libraries (nanomsg ws2_32)
-target_link_libraries (nanomsg Mswsock.lib)
-target_link_libraries (nanomsg Advapi32.lib)
+target_link_libraries (nanomsg mswsock)
+target_link_libraries (nanomsg advapi32)
 
 install(TARGETS nanomsg
     ARCHIVE DESTINATION lib
