=== debian/changelog ===
nanomsg (0.8~beta+dfsg-1) unstable; urgency=medium

  * New upstream version, with new soversion.
  * Add updated copyrights to d/copyright.
  * Bump priority to optional for policy 2.5.
  * Stop building -dbg packages no longer needed.
  * Remove patches obsoleted or integrated upstream.
  * New watchfile.
  * Rebuild d/copyright.
  * Change my email address.
  * Build nanocat, tcpmuxd.  (Closes: #777676)
  * Ensure tests run in sequence.  (Closes: #805702)
  * Bump standards version; no changes needed.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 24 Apr 2016 23:37:44 -0400
