=== debian/control ===
Source: nanomsg
Priority: optional
Section: libs
Maintainer: Harlan Lieberman-Berg <hlieberman@debian.org>
Build-Depends: asciidoc,
               debhelper (>= 9.0.0),
               dh-autoreconf,
               libxml2-utils,
               xmlto
Standards-Version: 3.9.7
Homepage: http://nanomsg.org/
Vcs-Git: https://anonscm.debian.org/collab-maint/nanomsg.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/nanomsg.git

Package: libnanomsg-dev
Section: libdevel
Architecture: any
Depends: libnanomsg4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: nanomsg development files
 nanomsg is a socket library that provides several common
 communication patterns. It aims to make the networking layer fast,
 scalable, and easy to use. Implemented in C, it works on a wide range
 of operating systems with no further dependencies.
 .
 The communication patterns, also called "scalability protocols", are
 basic blocks for building distributed systems. By combining them you
 can create a vast array of distributed applications. The following
 scalability protocols are currently available:
 .
    PAIR - simple one-to-one communication
    BUS - simple many-to-many communication
    REQREP - allows one to build clusters of stateless services
             to process user requests
    PUBSUB - distributes messages to large sets of interested subscribers
    PIPELINE - aggregates messages from multiple sources and
               load balances them among many destinations
    SURVEY - allows one to query state of multiple applications in a single go
 .
 This package contains the development files for nanomsg.

Package: nanomsg-utils
Architecture: any
Depends: libnanomsg4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: nanomsg utilities
 nanomsg is a socket library that provides several common
 communication patterns. It aims to make the networking layer fast,
 scalable, and easy to use. Implemented in C, it works on a wide range
 of operating systems with no further dependencies.
 .
 The communication patterns, also called "scalability protocols", are
 basic blocks for building distributed systems. By combining them you
 can create a vast array of distributed applications. The following
 scalability protocols are currently available:
 .
    PAIR - simple one-to-one communication
    BUS - simple many-to-many communication
    REQREP - allows one to build clusters of stateless services
             to process user requests
    PUBSUB - distributes messages to large sets of interested subscribers
    PIPELINE - aggregates messages from multiple sources and
               load balances them among many destinations
    SURVEY - allows one to query state of multiple applications in a single go
 .
 This package contains utilities for testing nanomsg.

Package: libnanomsg4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: high-performance implementation of scalability libraries
 nanomsg is a socket library that provides several common
 communication patterns. It aims to make the networking layer fast,
 scalable, and easy to use. Implemented in C, it works on a wide range
 of operating systems with no further dependencies.
 .
 The communication patterns, also called "scalability protocols", are
 basic blocks for building distributed systems. By combining them you
 can create a vast array of distributed applications. The following
 scalability protocols are currently available:
 .
    PAIR - simple one-to-one communication
    BUS - simple many-to-many communication
    REQREP - allows one to build clusters of stateless services
             to process user requests
    PUBSUB - distributes messages to large sets of interested subscribers
    PIPELINE - aggregates messages from multiple sources and
               load balances them among many destinations
    SURVEY - allows one to query state of multiple applications in a single go
