=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_build:
	dh_auto_build
	a2x -f manpage $(CURDIR)/doc/nanocat.txt
	a2x -f manpage $(CURDIR)/doc/tcpmuxd.txt

override_dh_auto_test:
	dh_auto_test --no-parallel
