=== debian/watch ===
version=3
opts=uversionmangle=s/-beta/~beta+dfsg/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
  https://github.com/nanomsg/nanomsg/releases .*/nanomsg-(\d\S*)\.tar\.gz
