## nanomsg 1.1.5%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
%:
	dh $@ --buildsystem=cmake
